#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dhall
version:              1.40.1
visibility:           public
id:                   dhall-1.40.1-IQaPZsZpauU5iSY77bXSvH
key:                  dhall-1.40.1-IQaPZsZpauU5iSY77bXSvH
license:              BSD-3-Clause
copyright:            2017 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  273d727ead220628a74e106305b408c9
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics Dhall.Parser
    Dhall.Parser.Expression Dhall.Parser.Token Dhall.Pretty Dhall.Repl
    Dhall.Schemas Dhall.Set Dhall.Src Dhall.Substitution Dhall.TH
    Dhall.Tags Dhall.Tutorial Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.Eval Dhall.Import.Types Dhall.Marshal.Internal
    Dhall.Normalize Dhall.Parser.Combinators Dhall.Pretty.Internal
    Dhall.Syntax Dhall.URL Paths_dhall Dhall.Import.HTTP
    Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.0.1/site-local/dhall-1.40.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dhall-1.40.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.40.1-IQaPZsZpauU5iSY77bXSvH
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    aeson-1.5.6.0-Fg135F0LK439ajXX1ctdPK
    aeson-pretty-0.8.9-2wFaR8qB5uQAG1D4Qvd5oa
    ansi-terminal-0.11-VBHUzPmDQhkSX7r2rPvp
    atomic-write-0.2.0.7-14BzJjtNGb159AeZeSvqRJ base-4.15.0.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-9dMxC5qCFiO5i8VMVMsoWd
    cborg-0.2.5.0-I8H5DpKpiSEAkq2v91XIsT
    cborg-json-0.2.3.0-1sBRuSZUCuM83f58cYSsJn containers-0.6.4.1
    contravariant-1.5.5-1Tz7FaRP9yoKqkcBKkQ76A
    cryptonite-0.29-8qXJIhuOtfq9s1JkrsBqDD
    data-fix-0.3.2-AWN3ZvjCYrK28cs5BAFIsZ deepseq-1.4.5.0
    directory-1.3.6.1 dotgen-0.4.3-D7BYbylA690EQm5UJkgmHT
    either-5.0.1.1-SUj1sAW26oL1KKWHeswxb exceptions-0.10.4
    filepath-1.4.2.1 half-0.3.1-2RMvHiqcPyEGdFHWm1RFVP
    hashable-1.3.3.0-3L81lU2ygSqqBRC8gEHN5 haskeline-0.8.1.0
    http-client-0.7.9-4QDsAMxj7sz7yGu8kHH5hl
    http-client-tls-0.3.5.3-DAvN9t19CC2CY6pSl8H9nS
    http-types-0.12.3-C99vf9zdj2i8wE4qQA9rT2
    lens-family-core-2.1.0-E2lAjFxxScaCmUozZIjJxS
    megaparsec-9.2.0-IoXFk8KTPumJrog1nc0fcl
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    mmorph-1.2.0-Ajh0k0abpSlDb3Q6HDcBvb mtl-2.2.2
    network-uri-2.6.4.1-3nEDxRoWlqR897WvDb69sm
    optparse-applicative-0.16.1.0-2ANvBaQ4nVI2tTajbFzSVz
    parser-combinators-1.3.0-5jHqYWwdpCqFWQLuYLRvi6
    parsers-0.12.10-Hj52sbDLqtML0NrELLFqlj
    pretty-simple-4.0.0.0-JylkN8bQRzg4BiSidsZKH2
    prettyprinter-1.7.1-NzbUVcJ1NE4xBuHz8Kqrz
    prettyprinter-ansi-terminal-1.1.3-FQyOLnSgNTEAxpJj2BYsOW
    profunctors-5.6.2-8LK9djUomX64BO5XqJOwvk
    repline-0.4.0.0-L6GzQNG3zngJuxtUvhlgPf
    scientific-0.3.7.0-4tqJYQMTwiZLVfrxZoRP0G
    serialise-0.2.3.0-EAvJfQ6npPuCS9348QLEba template-haskell-2.17.0.0
    text-1.2.4.1 text-manipulate-0.3.0.0-HpltUrJyBRLCSp3DFksxq5
    th-lift-instances-0.1.18-1ATWYqgYDqpFKgZryCNWvv time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.14.0-BWkUXYfn3WoA4YwHbxKABd
    uri-encode-1.5.0.7-Ls6Zd0FPGHOAik2bi0Vk95
    vector-0.12.3.1-4LU8STmHsbh153eRU0hKX2

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

